Bug 102368 - USB modem not found
USB modem not found
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
Blocks: rcn-modem
  Show dependency treegraph
Reported: 2003-08-14 11:42 EDT by John Reiser
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 11:43:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/usr/sbin/kudzu -p -c "MODEM" (441 bytes, text/plain)
2003-09-01 12:10 EDT, John Reiser
no flags Details
patch to./src/netconfpkg/NC_functions.py (624 bytes, patch)
2006-08-05 11:22 EDT, John Reiser
no flags Details | Diff

  None (edit)
Description John Reiser 2003-08-14 11:42:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
A USB modem that is recognized and configured at boot by kudzu, and which
appears in /etc/sysconfig/hwconf, and with kernel modules acm and usbcore
loaded, cannot be found by Network Configuration.  In order to configure it, you
must ignore the warning, and know the device name /dev/input/ttyACM0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
0. [must be done as 1st modem configured: no existing Modem connection]
1. RedHat > System Settings > Network Configuration
2. New > Modem connection > Forward

Actual Results:  "No modem was found on your system."

Expected Results:  USB modem should have been found, and /dev/input/ttyACM0
should have been pre-selected as device.

Additional info:
Comment 1 Harald Hoyer 2003-09-01 10:49:41 EDT
What does
# /usr/sbin/kudzu -p -c "MODEM"
Comment 2 John Reiser 2003-09-01 12:10:52 EDT
Created attachment 94118 [details]
/usr/sbin/kudzu -p -c "MODEM"

Obviously the PCI Winmodem should be ignored, and the USB FaxModem should be
Comment 3 John Reiser 2003-09-01 12:17:12 EDT
Kernel modules acm and usbcore were already loaded at the time of "kudzu -p -c".
 (I believe that they were loaded by kudzu at boot; the USB modem was connected
and powered up before, during, and after boot.)
Comment 4 Harald Hoyer 2005-07-08 11:56:38 EDT
still an issue?
Comment 5 John Reiser 2005-07-08 12:23:55 EDT
Yes, a USB modem still cannot be found.  Desktop > Settings > Network; New >
Modem connection > Forward  still gives "system-config-network: No modem was
found on your system."  This was after turning on a USB modem that was plugged
into a previously-running system (i.e., "hotplug" situation, as opposed to "cold
plug" which is plugged in and turned on before boot.)  The "Select Modem" dialog
box presents /dev/modem as the default choice, and (among others)
/dev/input/ttyACM0 is listed in the drop-down list.  [Notice the extra "/input"
in the name.]

From /var/log/messages:
Jul  8 09:07:34 fc4final kernel: usb 5-2: new full speed USB device using
uhci_hcd and address 3
Jul  8 09:07:35 fc4final kernel: usb 5-2: configuration #2 chosen from 2 choices
Jul  8 09:07:35 fc4final usb.agent[4550]: Keeping default configuration with
Jul  8 09:07:39 fc4final kernel: cdc_acm 5-2:2.0: ttyACM0: USB ACM device
Jul  8 09:07:39 fc4final kernel: usbcore: registered new driver cdc_acm
Jul  8 09:07:39 fc4final kernel: drivers/usb/class/cdc-acm.c: v0.23:USB Abstract
Control Model driver for USB modems and ISDN adapters

/sbin/lsmod shows (selected lines):
cdc_acm                13409  0
uhci_hcd               35152  0
ohci_hcd               26849  0
ehci_hcd               41037  0

/dev contains [newly]:
crw-rw----  1 root    root   166,   0 Jul  8 09:07 ttyACM0

So it looks like hotplug worked (/dev/ttyACM0 got created, kernel module cdc_acm
got loaded and initialized), but the association between that and a Network
device (either a symlink /dev/modem -> ttyACM0, or the recognition of
/dev/ttyACM0 as a likely modem device) did not get made.
Comment 6 John Reiser 2005-07-08 12:26:39 EDT
The component versions are now FC4 final release:
Comment 7 Bill Nottingham 2006-08-05 00:35:06 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 John Reiser 2006-08-05 10:59:16 EDT
This problem still exists in Fedora Core 5.  System > Administration > Network;
New > Modem connection > Forward; "No modem was found on your system."  The USB
modem was cold-plugged (plugged in and powered on before boot; at boot, udev
caused activity in modem lights; modem lights showed Ready.)  Say OK to the
message; the drop-down list defaults to /dev/modem which does not exist.  The
drop-down list also contains /dev/input/ttyACM0, which is incorrect (should be
/dev/ttyACM0 with no "input/".)  Kernel module cdc_acm was loaded automatically,
as shown by "/sbin/lsmod".  The modem is listed in /proc/bus/usb/devices. 
/var/log/messages contains
Aug  5 07:10:08 farmer kernel: usbcore: registered new driver cdc_acm
Aug  5 07:10:08 farmer kernel: drivers/usb/class/cdc-acm.c: v0.25:USB Abstract
Control Model driver for USB modems and ISDN adapters
as a boot-time message (before invoking system-config-network.)

class: OTHER
bus: USB
detached: 0
desc: "Zoom Telephonics, Inc. Zoom V90 USB Faxmodem"
usbclass: 10
usbsubclass: 2
usbprotocol: 1
usbbus: 1
usblevel: 1
usbport: 0
usbdev: 2
vendorId: 0803
deviceId: 9700
usbmfr: Zoom Telephonics, Inc.
usbprod: Zoom V90 USB Faxmodem


This Bugzilla Version 2.18-rh has no checkbox or status "Info provided", so
changing to Need info - Asignee.
Comment 9 John Reiser 2006-08-05 11:22:47 EDT
Created attachment 133687 [details]
patch to./src/netconfpkg/NC_functions.py 

This patch appears to fix the problem: no complaint about "Modem not found",
and rest of configuration proceeds normally, without even asking about where
the modem is.
Comment 10 petrosyan 2008-03-10 00:51:46 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 11 John Reiser 2008-03-10 11:43:31 EDT
Works in F8 with:

Note You need to log in before you can comment on or make changes to this bug.